<nav class="absolute top-0 right-0 px-5 left-0 h-[50px] flex justify-center items-center text-white bg-gray-500 text-3xl">
    <h1 class="font-bold">Ispyt</h1>
  </nav>
  <div class="max-w-5xl container mx-auto pt-5">
    <h1 class="font-bold mb-2 text-center text-lg">{{ title | titlecase }}</h1>
  
    <input
      type="text"
      class="mb-2 border py-2 px-4 w-full"
      placeholder="Filter records..."
      [(ngModel)]="id"
    >
  
    <div *ngIf="recordsService.records">
      <app-record
        *ngFor="let record of recordsService.records | filterRecords:id; let i = index"
        [record]="record"
      ></app-record>
    </div>
  
  
    <app-modal *ngIf="modalService.isVisible$ | async" title="Create new Record">
      <app-create-record></app-create-record>
    </app-modal>
  
    <app-modal *ngIf="modalService.isDeleteVisible$ | async" title="Delete Record">
      <app-delete-record></app-delete-record>
    </app-modal>
    
    <button
      class="rounded-full bg-red-700 text-white fixed left-5 bottom-5 py-2 px-4"
      (click)="modalService.openDeleteModal()"
    >-</button>
  
    <button
      class="rounded-full bg-green-700 text-white fixed right-5 bottom-5 py-2 px-4"
      (click)="modalService.open()"
    >+</button>
  </div>